Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class Completed

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.DateProperty
                  net.fortuna.ical4j.model.property.UtcProperty
                      net.fortuna.ical4j.model.property.Completed

All Implemented Interfaces:
  Serializable

    public class Completed

extends UtcProperty

Defines a COMPLETED iCalendar component property.

         4.8.2.1 Date/Time Completed

            Property Name: COMPLETED

            Purpose: This property defines the date and time that a to-do was
            actually completed.

            Value Type: DATE-TIME

            Property Parameters: Non-standard property parameters can be
            specified on this property.

            Conformance: The property can be specified in a "VTODO" calendar
            component.

            Description: The date and time MUST be in a UTC format.

            Format Definition: The property is defined by the following notation:

              completed  = "COMPLETED" compparam ":" date-time CRLF

              compparam  = *(";" xparam)

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.property.DateProperty
`timezone`

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`Completed()` Default constructor.
`Completed(DateTime aDate)`
`Completed(ParameterList aList, DateTime aDate)`
`Completed(ParameterList aList, String aValue)`
`Completed(String aValue)`

Method Summary

Methods inherited from class net.fortuna.ical4j.model.property.UtcProperty
`getDateTime, setDateTime, validate`

Methods inherited from class net.fortuna.ical4j.model.property.DateProperty
`getDate, getValue, isUtc, setDate, setTimeZone, setUtc, setValue`

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Completed

    public Completed()

  Default constructor.

### Completed

    public Completed(String aValue)
              throws ParseException

Parameters:
  `aValue` - a value string for this component
Throws:
  `ParseException` - when the specified string is not a valid date-time represenation

### Completed

    public Completed(ParameterList aList,
                     String aValue)
              throws ParseException

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component
Throws:
  `ParseException` - when the specified string is not a valid date-time represenation

### Completed

    public Completed(DateTime aDate)

Parameters:
  `aDate` - a date

### Completed

    public Completed(ParameterList aList,
                     DateTime aDate)

Parameters:
  `aList` - a list of parameters for this component
  `aDate` - a date

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.